### Function

# EDataServer util_copy_object_slist

deprecated: 3.8 since: 3.4

#### Declaration [src]

    GSList*
    e_util_copy_object_slist (
      GSList* copy_to,
      const GSList* objects
    )

#### Description [src]

Copies `GSList` of `GObject`s at the end of `copy_to`.

Available since: 3.4

Deprecated since: 3.8

Use `g_slist_copy_deep()` instead, and optionally `g_slist_concat()` to concatenate the copied list to another `GSList`.

#### Parameters

`copy_to`

  Type: A list of `GObject*`

  Where to copy; can be `NULL`.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`objects`

  Type: A list of `GObject*`

  `GSList` of `GObject`s to be copied.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `GObject*`

New head of `copy_to`. Returned pointer can be freed with e_util_free_object_slist().

The caller of the function takes ownership of the data, and is responsible for freeing it.